require "rails_helper"

RSpec.describe Settings::MenuItemAttributesController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/menu_item_attributes").to route_to("settings/menu_item_attributes#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/menu_item_attributes/new").to route_to("settings/menu_item_attributes#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/menu_item_attributes/1").to route_to("settings/menu_item_attributes#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/menu_item_attributes/1/edit").to route_to("settings/menu_item_attributes#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/menu_item_attributes").to route_to("settings/menu_item_attributes#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/menu_item_attributes/1").to route_to("settings/menu_item_attributes#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/menu_item_attributes/1").to route_to("settings/menu_item_attributes#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/menu_item_attributes/1").to route_to("settings/menu_item_attributes#destroy", :id => "1")
    end

  end
end
